{% extends 'base.html.twig' %}

{% block title %}Project index{% endblock %}

{% block body %}
    <div class="ui segment" style="margin-top: 30px;">
        <h2 class="ui header" style="display: flex;">
            <i class="settings icon" style="margin-top: 10px;"></i>
            <div class="content">
                Projet
                <div class="sub header">Vos projet</div>
            </div>
        </h2>
        <div class="ui divider"></div>

        <div>
            <table class="ui celled table">
                <thead>
                <tr>
                    <th>Id</th>
                    <th>Name</th>
                    <th>Teams</th>
                    <th>Deadline</th>
                    <th class="action-header">
                        actions
                        {% if is_granted('ROLE_ADMIN') %}
                            <a href="{{ path('project_new') }}"><i class="plus circle icon large popup" data-content="Créer un projet"></i></a>
                        {% endif %}
                    </th>
                </tr>
                </thead>
                <tbody>
                {% for project in projects %}
                    <tr>
                        <td>{{ project.id }}</td>
                        <td>{{ project.name }}</td>
                        <td>
                            {% for team in project.team %}
                                <span class="custom-button noselect">{{ team.name }} </span>
                            {% endfor %}
                        </td>
                        <td>{{ project.deadline ? project.deadline|date('Y-m-d H:i:s') : '' }}</td>
                        <td>
                            <div class="action-container">
                                <a href="{{ path('project_show', {'id': project.id}) }}"><img width="25" height="25" src="{{ asset('/Assets/img/more.png') }}" /></a>
                                {% if is_granted('ROLE_ADMIN') %}
                                    <a href="{{ path('project_edit', {'id': project.id}) }}"><img width="25" height="25" src="{{ asset('/Assets/img/writing.png') }}" /></a>
                                {% endif %}
                            </div>
                        </td>
                    </tr>
                {% else %}
                    <tr>
                        <td colspan="4">no records found</td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
        </div>
    </div>


{% endblock %}
